<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>" />
  <meta name="viewport" content="width=device-width" />  
  <link rel="profile" href="http://gmpg.org/xfn/11" />
  <link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>" type="text/css" media="screen" />
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
  <?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
  <div id="page">
  
    <header id="masthead" class="site-header">
      <div class="site-header-inner clearfix">
        <div class="container">
          <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
          <div class="social-links">
            <?php hereyago_social_icon( 'facebook' ); ?>
            <?php hereyago_social_icon( 'twitter' ); ?>
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>?feed=rss" class="social-icon" title="RSS"><i class="fa fa-rss"></i></a> 
          </div>
          <nav id="nav" class="site-nav" role="navigation">
            <a href="#nav" title="Show navigation"><i class="fa fa-bars"></i></a>
            <a href="#hide" title="Hide navigation"><i class="fa fa-bars"></i></a>
            <?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => 'div', 'container_class' => 'primary-navigation', 'fallback_cb' => 'wp_page_menu' ) ); ?>
          </nav>
        </div>
      </div>
    </header><!-- #masthead -->

    <?php

    $options = get_option('hereyago_theme_options');
    ?>
    
    <div id="main" class="clearfix">
      <div class="main-inner">
        <div class="container">