<?php
/**
 * Here Ya Go customizer functionality
 *
 * @package WordPress
 * @subpackage here-ya-go
 * @since here-ya-go 1.2
 */

/** Add Support for Custom Backgrounds & Headers */
add_theme_support( 'custom-background' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function hereyago_customize_preview_js() {
	wp_enqueue_script( 'hereyago_customizer', get_template_directory_uri() . '/assets/js/theme-customizer.js', array( 'customize-preview' ), '1.0.0', true );
}
add_action( 'customize_preview_init', 'hereyago_customize_preview_js' );

/**
 * hereyago Options.
 */
function hereyago_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';

	// Create social URL section
	
	$wp_customize->add_section( 'hereyago_social_urls' , array(
    'title'      => __('Social Urls','here-ya-go'),
    'priority'   => 85,
	) );

	// Facebook URL
	$wp_customize->add_setting( 'facebook_url', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'facebook_url', array(
		'label'       => __( 'Facebook Url', 'here-ya-go' ),
		'section'     => 'hereyago_social_urls',
	) ) );

	// Twitter URL
	$wp_customize->add_setting( 'twitter_url', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'twitter_url', array(
		'label'       => __( 'Twitter Url', 'here-ya-go' ),
		'section'     => 'hereyago_social_urls',
	) ) );

 // Create Flexslider section
	
	$wp_customize->add_section( 'hereyago_slider_settings' , array(
    'title'      => __('Slider','here-ya-go'),
    'priority'   => 80,
	) );

	$wp_customize->add_setting( 'enable_slider', array(
		'default'           => false,
		'sanitize_callback' => 'hereyago_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'enable_slider', array(
		'label'       => __( 'Check to enable/disable slider', 'here-ya-go' ),
		'section'     => 'hereyago_slider_settings',
		'type'			  => 'checkbox'
	) );

}
add_action( 'customize_register', 'hereyago_customize_register' );

/* Sanitize Callbacks */

function hereyago_sanitize_checkbox( $input ) {
	return ( ( isset( $input ) && true == $input ) ? true : false );
}